post
https://api.sandbox.evrotrust.com/vendor/document/group/online
/document/group/online
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Valid values:
| Parameter | Value |
|---|---|
| "users" - Users that will sign the document sequentially. The elements have to be between 1 and 15. | Has to be provided one of the user's identifiers:
|
| "employee" | Optional with default value 0. If it's 1, it indicates that the user is employee of the company and will not see the signed document in Evrotrust mobile application history section. |
| "documents" | Only pdf files are allowed. File name limitation: up to 100 characters. Forbidden symbols in the file name: <>:"/|? '!#$%&+=. Maximum allowed file size is 5 MB. Total size of #users#docs * docSize = 150 MB. The count of documents must be between 2 and 20. |
| "groupDescription" "description" | max chars 4000 |
| "preview" | 0/1 - whether the document requires obligatory preview by the user before signing |
| "optional" | 0/1 - whether the document is optional for signing. The first document must always be optional=0 |
| "BIOrequired" | 0/1 Optional parameter. Default value 0. Activated additional billable service upon request. User confirms the signing with our face recognition (not device based) |
| "dateExpire" | unix epoch time in seconds |
| "certificateType" | "integer" valid values 1 - Е-Sign Qualified; 2 - E-Sign Advanced; If certificateType is 2, only coverage 500 is accepted. |
| "coverage" | For "certificateType"=1 - "coverage" values are: 0, 20000, 100000, 250000. The amount is in €. 0 stands for unlimited. Standard is 20000, for other coverage values, additional billable service should be activated. For "certificateType"=2, always go with "coverage"=500 |
| "annotationParameters": Optional. If used can appear up to 4 times. | "annotationText": mandatory, up to 255 symbols "fontName": mandatory "fontSize": mandatory. Must be a whole digit between 3 and 72 "fontColor": mandatory. Must be in CSS hex notation between “#000000” and “#ffffff” (“#000000” for black) "axisX": mandatory, integer. - Must be between 0 and 596 (for A4) or 612 (for Letter) "asixY": mandatory, integer. Must be between 0 and 843 (for A4) or 792 (for Letter) "page": mandatory, integer. “0” for all pages, 1 … to specify the exact page number |
| "signInfo" | "type": "type": "PDF1" (PDF Baseline), "PDF2" (PDF Baseline + Long Term), "PDF3" (PDF Baseline + Timestamp) |
| "algorithm" | "SHA256" |
| "checksumDocument" | SHA-512 of the file |
| "urlCallback" | Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used. |
| "vendorNumber" | "string" |
| "publicKey" | base64 encoded string of public key, necessary for encryption process. See page Generate key pair for more details |
Return values:
- "threadID" - unique ID refers to the signing operation
- "transactionID" - unique ID refers to a single document of the signing operation
For example: One document send to be signed by two users. Every user will have a different transactionID, but the same threadID.
